The fix for CVE-2021-20230 was released in the update to version 5.57:
https://github.com/mtrojnar/stunnel/commit/ebad9ddc4efb2635f37174c9d800d06206f1edf9

The fix was later modified in the update to version 5.58:
https://github.com/mtrojnar/stunnel/commit/80f351bc063f0e6341bfe73f0dd5efeb90b0f4e8

Index: stunnel-5.44/tests/recipes/028_redirect_chain
===================================================================
--- /dev/null
+++ stunnel-5.44/tests/recipes/028_redirect_chain
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Redirect TLS client connections on certificate-based authentication failures.
+# [client_1] -> [server_1] -> [client_2] -> [server_2]
+# The success is expected because the client presents the *wrong* certificate
+# and the client connection is redirected.
+# Checking if the verifyChain option verifies the peer certificate starting from the root CA.
+
+. $(dirname $0)/../test_library
+
+start() {
+  ../../src/stunnel -fd 0 <<EOT
+  debug = debug
+  syslog = no
+  pid = ${result_path}/stunnel.pid
+  output = ${result_path}/stunnel.log
+
+  [client_1]
+  client = yes
+  accept = 127.0.0.1:${http1}
+  connect = 127.0.0.1:${https}
+  ;cert = ${script_path}/certs/client_cert.pem
+;wrong self signed certificate
+  cert = ${script_path}/certs/stunnel.pem
+
+  [client_2]
+  client = yes
+  accept = 127.0.0.1:${http2}
+  connect = 127.0.0.1:${https2}
+
+  [server_1]
+  accept = 127.0.0.1:${https}
+  exec = ${script_path}/execute
+  execArgs = execute 028_redirect_chain_error
+  redirect = 127.0.0.1:${http2}
+  cert = ${script_path}/certs/server_cert.pem
+  verifyChain = yes
+  CAfile = ${script_path}/certs/CACert.pem
+  ;CAfile = ${script_path}/certs/PeerCerts.pem
+
+  [server_2]
+  accept = 127.0.0.1:${https2}
+  cert = ${script_path}/certs/server_cert.pem
+  exec = ${script_path}/execute
+  execArgs = execute 028_redirect_chain
+
+EOT
+}
+
+check_ports "028_redirect_chain"
+start 2> "error.log"
+test_log_for "028_redirect_chain" "execute" "$1" 2>> "stderr.log"
+exit $?
Index: stunnel-5.44/tests/recipes/029_no_redirect_chain_error
===================================================================
--- /dev/null
+++ stunnel-5.44/tests/recipes/029_no_redirect_chain_error
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Do not redirect TLS client connections on certificate-based authentication success.
+# [client_1] -> [server_1]
+# The success is expected because the client presents the *correct* certificate
+# and the client connection isn't redirected.
+# Checking if the verifyChain option verifies the peer certificate starting from the root CA.
+
+. $(dirname $0)/../test_library
+
+start() {
+  ../../src/stunnel -fd 0 <<EOT
+  debug = debug
+  syslog = no
+  pid = ${result_path}/stunnel.pid
+  output = ${result_path}/stunnel.log
+
+  [client_1]
+  client = yes
+  accept = 127.0.0.1:${http1}
+  connect = 127.0.0.1:${https}
+  ;correct certificate
+  cert = ${script_path}/certs/client_cert.pem
+
+  [client_2]
+  client = yes
+  accept = 127.0.0.1:${http2}
+  connect = 127.0.0.1:${https2}
+
+  [server_1]
+  accept = 127.0.0.1:${https}
+  exec = ${script_path}/execute
+  execArgs = execute 029_no_redirect_chain
+  redirect = 127.0.0.1:${http2}
+  cert = ${script_path}/certs/server_cert.pem
+  verifyChain = yes
+  CAfile = ${script_path}/certs/CACert.pem
+
+  [server_2]
+  accept = 127.0.0.1:${https2}
+  cert = ${script_path}/certs/server_cert.pem
+  exec = ${script_path}/execute
+  execArgs = execute 029_no_redirect_chain_error
+
+EOT
+}
+
+check_ports "029_no_redirect_chain"
+start 2> "error.log"
+test_log_for "029_no_redirect_chain" "execute" "$1" 2>> "stderr.log"
+exit $?
Index: stunnel-5.44/src/ssl.c
===================================================================
--- stunnel-5.44.orig/src/ssl.c
+++ stunnel-5.44/src/ssl.c
@@ -39,6 +39,8 @@
 #include "prototypes.h"
 
     /* global OpenSSL initialization: compression, engine, entropy */
+NOEXPORT void cb_new_auth(void *parent, void *ptr, CRYPTO_EX_DATA *ad,
+    int idx, long argl, void *argp);
 NOEXPORT void cb_free(void *parent, void *ptr, CRYPTO_EX_DATA *ad,
     int idx, long argl, void *argp);
 #ifndef OPENSSL_NO_COMP
@@ -64,7 +66,7 @@ int ssl_init(void) { /* init TLS before
     index_ssl_ctx_opt=SSL_CTX_get_ex_new_index(0,
         "SERVICE_OPTIONS pointer", NULL, NULL, NULL);
     index_session_authenticated=SSL_SESSION_get_ex_new_index(0,
-        "session authenticated", NULL, NULL, NULL);
+        "session authenticated", cb_new_auth, NULL, NULL);
     index_session_connect_address=SSL_SESSION_get_ex_new_index(0,
         "session connect address", NULL, NULL, cb_free);
     if(index_ssl_cli<0 || index_ssl_ctx_opt<0 ||
@@ -106,6 +108,17 @@ int DH_set0_pqg(DH *dh, BIGNUM *p, BIGNU
 #endif
 #endif
 
+NOEXPORT void cb_new_auth(void *parent, void *ptr, CRYPTO_EX_DATA *ad,
+        int idx, long argl, void *argp) {
+    (void)parent; /* squash the unused parameter warning */
+    (void)ptr; /* squash the unused parameter warning */
+    (void)argl; /* squash the unused parameter warning */
+    s_log(LOG_DEBUG, "Initializing application specific data for %s",
+        (char *)argp);
+    if(!CRYPTO_set_ex_data(ad, idx, (void *)(-1)))
+        sslerror("CRYPTO_set_ex_data");
+}
+
 NOEXPORT void cb_free(void *parent, void *ptr, CRYPTO_EX_DATA *ad,
         int idx, long argl, void *argp) {
     (void)parent; /* squash the unused parameter warning */
Index: stunnel-5.44/src/verify.c
===================================================================
--- stunnel-5.44.orig/src/verify.c
+++ stunnel-5.44/src/verify.c
@@ -214,18 +214,23 @@ NOEXPORT int verify_callback(int preveri
         s_log(LOG_INFO, "Certificate verification disabled");
         return 1; /* accept */
     }
-    if(verify_checks(c, preverify_ok, callback_ctx)) {
-        if(!SSL_SESSION_set_ex_data(SSL_get_session(ssl),
-                index_session_authenticated, (void *)(-1))) {
+    if(verify_checks(c, preverify_ok, callback_ctx))
+        return 1; /* accept */
+    if(c->opt->option.client || c->opt->protocol)
+        return 0; /* reject */
+    if(c->opt->redirect_addr.names) {
+        SSL_SESSION *sess=SSL_get1_session(c->ssl);
+        if(!sess)
+            return 0; /* reject */
+        if(!SSL_SESSION_set_ex_data(sess,
+                index_session_authenticated, NULL)) {
             sslerror("SSL_SESSION_set_ex_data");
+            SSL_SESSION_free(sess);
             return 0; /* reject */
         }
+        SSL_SESSION_free(sess);
         return 1; /* accept */
     }
-    if(c->opt->option.client || c->opt->protocol)
-        return 0; /* reject */
-    if(c->opt->redirect_addr.names)
-        return 1; /* accept */
     return 0; /* reject */
 }
 
Index: stunnel-5.44/tests/certs/CACertCRL.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/CACertCRL.pem
+++ stunnel-5.44/tests/certs/CACertCRL.pem
@@ -1,13 +1,13 @@
 -----BEGIN X509 CRL-----
-MIIB/jCB5wIBATANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQMA4GA1UE
-CgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0FfY2VydDEi
-MCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbRcNMTcwNTI5MTQxMTAw
-WhcNMjcwNjI4MTQxMTAwWjA8MDoCAQMXDTE3MDQyNjE5MDAxM1owJjAYBgNVHRgE
-ERgPMjAxNzA0MjYxOTAwMDBaMAoGA1UdFQQDCgEGoA4wDDAKBgNVHRQEAwIBAjAN
-BgkqhkiG9w0BAQUFAAOCAQEAKzIVMH126DHmfgLmm7jPBi4L6xs0N75zIiay8f2S
-2/XjD7xU3r8vA0Qd06wEUhSe63tqEb+qForNEZwNJpKxM2OW0Z8fTM40793/8WY4
-m6b5IE2SH8mrCUP4ASmB3Jo/uyFPJ+zXhI7Oj59noN+nu/T6DUloJcVMHh0rYeUR
-QpXwdsllJgVVDnqvD4jOVPSVr2NHuMBPk1cw07HZe+V2/xbI/jFNRIKf+KVWE2h8
-4hpiWRONQF9c0eLRskLCqcfyDulpk62hZJV61c4ckGeUyq7aG2N+Ypmm/stnRWGG
-NkSLu99WGPRPjVGderIjBD9I6SNe0LbvUn6t2+DfFoBn4w==
+MIIB7TCB1gIBATANBgkqhkiG9w0BAQsFADBoMQswCQYDVQQGEwJQTDEbMBkGA1UE
+CgwSU3R1bm5lbCBEZXZlbG9wZXJzMRAwDgYDVQQLDAdSb290IENBMQswCQYDVQQD
+DAJDQTEdMBsGCSqGSIb3DQEJARYOQ0FAZXhhbXBsZS5jb20XDTIxMDQwNTA2NDEx
+M1oXDTI1MDQwNTA2NDExM1owFTATAgIQABcNMjEwNDA1MDY0MTEzWqAjMCEwHwYD
+VR0jBBgwFoAUGKvroNJFPF+dlNQfU+tYcOxs3DUwDQYJKoZIhvcNAQELBQADggEB
+AGcY4sRfvk9XXJUPc0fl35PkOr9g4AJ87Ytr2/p2Oo4L1YhZh4rb5TMgCc0p3xr8
+weOXd61kTrdIF1v1CCSYq//9NGL+0VcJFmf7O370poDPHYrPwQdELeFeRh6XRHhl
+py/RaDYaREOykCxgwGW4S6poikvUoiHT40ArMfl6Ostw+xFpagWEhLc+oWjuc1Ns
+VnJaPA65z1oWJzYAbHwd1HJNHQG+x+KLr7tcaYyX95MbcG6cr0tWnWiF6OAbh2yD
+kHX+r/Ym+pF4dSwk+vmz3ddKddVLULyS9Kxaawq5oBSqObjvuXoqJq3Pg+8Z4k98
+Xp0EKn75qBbVRjBW2hwsjbk=
 -----END X509 CRL-----
Index: stunnel-5.44/tests/certs/CACert.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/CACert.pem
+++ stunnel-5.44/tests/certs/CACert.pem
@@ -1,20 +1,23 @@
 -----BEGIN CERTIFICATE-----
-MIIDWTCCAkGgAwIBAgIBATANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQ
-MA4GA1UECgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0Ff
-Y2VydDEiMCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbTAeFw0xNzA0
-MjYxODQxMDBaFw0xODA0MTMxNTQ1MDBaMGcxCzAJBgNVBAYTAnBsMRAwDgYDVQQK
-DAdDQV9jZXJ0MRAwDgYDVQQLDAdDQV9jZXJ0MRAwDgYDVQQDDAdDQV9jZXJ0MSIw
-IAYJKoZIhvcNAQkBFhNDQV9jZXJ0QGV4YW1wbGUuY29tMIIBIjANBgkqhkiG9w0B
-AQEFAAOCAQ8AMIIBCgKCAQEAr8xh9XMrSTxiwLDWGw9eMtFJSAGyNTaoBKPgfuQd
-+cv+EQrDLrE+h0ywctdzBLooxyu0ZxMOXQV/Z726f8WJsEjWIUvoOnCs3OT1Q8PJ
-V39z8Tuw5aWQRJ9uwyr1q+YV897NRCNeT8LrRFls9XZGsHz8Wd8glwwPQ67fR/bS
-eP3GvhHPJqGNh3QvybUbK52klUQMVN4MEtSNFFcxp6hwEWhuID12ychFUNVOL/Fu
-eCUjBUVufREqs+iIbmgpLKLCPc9BULXhUY+O9DYP9ahjXikdtP5xQ9AqviossWLG
-ubxNlYBOYOzpeZIZMZyyAHQ7oYBXtCJFyNMap0/2ABI1twIDAQABoxAwDjAMBgNV
-HRMEBTADAQH/MA0GCSqGSIb3DQEBBQUAA4IBAQCXA7LBokSKKpwdPMthpvm8f08h
-/GnY8zF7S+UrNEIZAxpAr/p+GJOZqHjLMhUjdW5Jbazuyl7W0mlatUoTzXx35PJt
-oC1jL2K1viTuEtciPt3SVgeBysTPTCw2ZDJSsXZ2X8dFhrk0Gsc3DDjOiyCLcKEz
-oOE97ZomwATnNcVBq735zBCNEj967rOjmDUJsuVfqiIWfhjfYaw9MEj3d0FcJb1v
-3FPQ89fMM/Z3NpkL5I8+g+TKOlhvc1WDbqcBsiG/CVQo4+ClT73XZqL4woFvDaq6
-b32pz28GqKKxWzv5e4m/9cTt8F7PZIc5hJBsyeBdtFSup2zntCop/qtiT5HQ
+MIIDwTCCAqmgAwIBAgIUVeakbbfMyV20RAMWfbOetN7AeP4wDQYJKoZIhvcNAQEL
+BQAwaDELMAkGA1UEBhMCUEwxGzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQ
+MA4GA1UECwwHUm9vdCBDQTELMAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNB
+QGV4YW1wbGUuY29tMB4XDTIxMDQwNTA2NDExM1oXDTI1MDQwNTA2NDExM1owaDEL
+MAkGA1UEBhMCUEwxGzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UE
+CwwHUm9vdCBDQTELMAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNBQGV4YW1w
+bGUuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAu1xk3BGpIWZw
+ivEAIwdaoDx3rrVEdq5qroS4vKSS/p3MLxkYGNhRXiZpn7cKtbARAOJlQ5D/glMj
+y/cC2/W7KxNSepfzpDc9E/2jdhcxqNLjcDxjeue1aFuNsDOzGfmaHNomc3wUK744
+IiiV7qMlru0YTyOCsSyV4U7oV2RFvsnwOLOeOq1+12uZT5FNh2kQmj/2K5wD67gT
+ThulkUJJ8opR6kGRck1ELHfh9zxyIr3CyNdRxzgsFKzb5PkwLzXI3iz9iNzJazcn
+tH4MSu+eKOWDJ7sTkCAiqHoZSY6CXsYXLh8qz86ZeG3phJJj6Unaskahye5CfaVr
+CkzkPasdFwIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MB0GA1UdDgQWBBQYq+ug
+0kU8X52U1B9T61hw7GzcNTAfBgNVHSMEGDAWgBQYq+ug0kU8X52U1B9T61hw7Gzc
+NTAOBgNVHQ8BAf8EBAMCAYYwDQYJKoZIhvcNAQELBQADggEBADrp9ry88kgrWFPO
+87+Xwjsd80V9Vz17ioUJIpCj59V8Z4o7iYzjbGhRTNKQA+Mu8oL5k6c6Gox1p5yg
+nXhRw+ibC2EbM6Zs1sUlEJSdK8orORd3YC+kfRbjFVh48JdZadK4q6wZOa1kxeGJ
+tgri+2HQ41y7Wckf9VoLADLn+TK76CM5tLKad3zzxEZcVl2aFJlLrPYGrIbJpRK4
+jiYrINrTvCcusDghICku14RGnRK8HhgADs6CLCBC8sxM/6YBPukAWNDwhp7h668a
+uA5p1sjOX80RA8uqny1Di8TcuoQI0XaIrquDwf0WB2GVIvK/vLChrtUvRoYp49Ap
+B84hBQM=
 -----END CERTIFICATE-----
Index: stunnel-5.44/tests/certs/cafile.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/cafile.pem
+++ /dev/null
@@ -1,23 +0,0 @@
------BEGIN CERTIFICATE-----
-MIID5TCCAs2gAwIBAgIJAJoOR3t6TXSbMA0GCSqGSIb3DQEBCwUAMIGIMQswCQYD
-VQQGEwJVUzETMBEGA1UECAwKQ2Fsb2Zvcm5pYTESMBAGA1UEBwwJU2FjcmFtZXRv
-MRgwFgYDVQQKDA9FeGFtcGxlIENvbXBhbnkxHDAaBgNVBAsME1RlY2hub2xvZ3kg
-RGl2aXNpb24xGDAWBgNVBAMMD3d3dy5leGFtcGxlLmNvbTAeFw0xNjA5MjkwODI5
-MjNaFw0xNzA5MjkwODI5MjNaMIGIMQswCQYDVQQGEwJVUzETMBEGA1UECAwKQ2Fs
-b2Zvcm5pYTESMBAGA1UEBwwJU2FjcmFtZXRvMRgwFgYDVQQKDA9FeGFtcGxlIENv
-bXBhbnkxHDAaBgNVBAsME1RlY2hub2xvZ3kgRGl2aXNpb24xGDAWBgNVBAMMD3d3
-dy5leGFtcGxlLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKi0
-nOJAoZIimJkLQ3A6osD2ZgX635Esqwb819plRyDOc9Lyt2CKiVrLyHNXrZQE7FRC
-6Uq5evb1EQYie0eTxzp8n0lOw/R4goapksLk+yLiVJXt76/ivLjATTC2B5uxUyiO
-euZDFiVO9jjfTGeG0ASdkrL69Ngw6EdkzjvvFc1XCDMLy5UZ59d9x6PNncIUJk7l
-FcxCGSh5qlggj3lHTc/9nHpz5gZpLbq4DFdsGMOfNSkjyes2dFbnHKAQrq6s49ns
-7X3iYCmJF2mfVDCtca3+NYgvujdBGGO2FaX1P9VTtBUTomO9NGcphJGGayRwtpf6
-14F4aY1KRjoq9Ln4fHkCAwEAAaNQME4wHQYDVR0OBBYEFA0sd/zjLicJm3nWXEqU
-IPMpNB2VMB8GA1UdIwQYMBaAFA0sd/zjLicJm3nWXEqUIPMpNB2VMAwGA1UdEwQF
-MAMBAf8wDQYJKoZIhvcNAQELBQADggEBAH+NDRfE44vMKv8Wfx8PZ08QlSTsyUt5
-vvEnxum6j3Hj+LDiAEXzlZ5oxX/zNEVHPAkwcvhs7dgRFNJ8+SlebGzk+u//53rW
-iOqMD1YKiFxmzVa+KlQIHBE/yO24/XG/pe7PVtZV8pF2w8Wi1ppTrZt1pzCRPiCM
-ga7ijgizp+972wt33YRWnX486XuolYc3gMLIha9vADodRH+tYtkEY6TnCga+tz4u
-LGY5eMbTTUIOEK4rGxr78FruEYOBZPKq0CtSwlGT2MMVngYg+ah51rIU6V0DXA+W
-B9YmCA2mrCMtCVaUbiQ3Zc+dHTtmameVNtv7RQGnCDY7zWPyXjmZ1oU=
------END CERTIFICATE-----
Index: stunnel-5.44/tests/certs/client_cert.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/client_cert.pem
+++ stunnel-5.44/tests/certs/client_cert.pem
@@ -1,48 +1,49 @@
------BEGIN RSA PRIVATE KEY-----
-MIIEowIBAAKCAQEA2aO1hQpGK5z3OsLeyRbqb0B0cjt+cO3sTQ4+KU05BNWjGXso
-3KwN9Bx7Nx0Tu73Ub2CeeUKmbeCWYzuvbx/dUeH1NcOPIk07aHqx79aaTuOhnogG
-Kjmq2UcdAtmhLo8OSBm9MSq+UYEIC3S4dMaIDHFIVEIcjUVYgLYKv2k7JSH9oVVV
-rm0PxKkpnBZXx5OE3jpq5Zy+1yMQs+FJzVf98FrezAQQiqlKCDCpVqknbGiJk0X2
-lDWcIl8nqmmSvSevr2U6Ggnu1d47N6gEX5BnEBsRABbb1sdrf18cbFP+Dq285yl1
-wFDmq2c7KzCocQAETULJZ9QblG6qkrvMrlmq+QIDAQABAoIBACtVfloMDqa2bT+E
-94kAiBM4uTbZg7aGmQtKr7PXjWfaBcyYCi3OEEUvupThtEEobfjzOvqX+71a/3ao
-tqigppecLw/SbVh+GjsWWwGPMFBO4KpJGTklHFCA6VTc8kvr7gMLJPF6OkTONUTa
-q7OMqCAaGjW0qCy0xwdxt7gfAsjEmtLNH7rLocQFk56y0Nz68jWLIMjnRxAq3NaQ
-ZgGE0NRwxUPhgbYl0s3MmhDPulth8+FLryZ8pmIZkKphtIvSXSPQBivdLAUkkhFx
-elUu9xHHXbqHhnCGjPjwK4CUGGp2m6mlCev/OlcHkzKWcBOJZKaAoWAQMGqCg0bu
-OS0T79UCgYEA7279C7IW7EgI9co4exxZl41gMuZxEcQzXAaHwx2m//9sPm6CczZt
-5OIAsenFU7b8hWCO5hJro7hhbp2YBTqtfQNM6KaY33W8iH6k7JcO+HfpLGHcNz1P
-S4+31Kj4k5dnz1us90uv8A77Jji1OSTJTBCgyrgmfGhPzqQnbNWNV+8CgYEA6LKw
-cYmzBUL//H2Y5HYafqOYlsC5YVGZTm//mp7DpGXdi2twmATskcnQ8BR5WtZ5Ca+2
-VHEoEAUTRLbX+CoUKeE34mnIXTIEU0dzRmw3CMK4DZVRPnIYaqckJH6GLxwCEMZE
-zlI8Hks+OrCSVgKYsKqMiOdTDdNoX4/9WaQ9A5cCgYEA6r8IfXUHoHUnw8OWCK3M
-8Rd9H6prZR3VtP36EUR7PTYx7Cvw3gCZUfR69fPasa8Qebwnnk6lFglqDUeZilbz
-TUP1HYxpCX2ncLOqAwQ/e0AlbowrmkUT/2NSur9Hp3ykHNsnA/ZC8rvdZKXol7QH
-X/pViyttIEAtLs4mkT/2qiUCgYBJfbXQBecuMDzcp2YUMWCowk48vl1N6RF7/k9B
-rAap8yoHEEWdHWEBojWEvVKeZ8IOVxpEjQBUHuY4+242CEQZ/fFCZppLJLLNAnHb
-ue2frK+oSpJAIJSpimQVyofidPwKBDRS3RHzl1vt+ToeQ++pTBPaYQSQB0add8JR
-/1btvQKBgG2uNFimmJ29DKSt8nRXm7wUkdQNORTZa0wygZbDaQgHxyiHOY9TgfhF
-PQHI/7abb/9PrMhchTWjV7w/e0E6q9Sc4kG1tz5MV9pWreXY7Uolg532zUsYqZVW
-0tQbWQR2fk+3ZoN9qHYZqYE/coqNdbtpLUIVWh3Yrh3V6L9Xw0us
------END RSA PRIVATE KEY-----
 -----BEGIN CERTIFICATE-----
-MIIDZjCCAk6gAwIBAgIBBDANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQ
-MA4GA1UECgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0Ff
-Y2VydDEiMCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbTAeFw0xNzA0
-MjYxODQ1MDBaFw0xODA0MTMxNTQ1MDBaMIGFMQswCQYDVQQGEwJwbDEPMA0GA1UE
-CBMGY2xpZW50MQ8wDQYDVQQHEwZjbGllbnQxDzANBgNVBAoTBmNsaWVudDEPMA0G
-A1UECxMGY2xpZW50MQ8wDQYDVQQDEwZjbGllbnQxITAfBgkqhkiG9w0BCQEWEmNs
-aWVudEBleGFtcGxlLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB
-ANmjtYUKRiuc9zrC3skW6m9AdHI7fnDt7E0OPilNOQTVoxl7KNysDfQcezcdE7u9
-1G9gnnlCpm3glmM7r28f3VHh9TXDjyJNO2h6se/Wmk7joZ6IBio5qtlHHQLZoS6P
-DkgZvTEqvlGBCAt0uHTGiAxxSFRCHI1FWIC2Cr9pOyUh/aFVVa5tD8SpKZwWV8eT
-hN46auWcvtcjELPhSc1X/fBa3swEEIqpSggwqVapJ2xoiZNF9pQ1nCJfJ6ppkr0n
-r69lOhoJ7tXeOzeoBF+QZxAbEQAW29bHa39fHGxT/g6tvOcpdcBQ5qtnOyswqHEA
-BE1CyWfUG5RuqpK7zK5ZqvkCAwEAATANBgkqhkiG9w0BAQUFAAOCAQEAZO2G+h4X
-UUMB0uVIiz/+iX9b/EifbLwLs87zEAzfYlWCr0pq2DGMxhEUq+vSxr3j3YV1I6Rz
-y2Ao2CyWI/2NoS0Jvf2MpyX+lmGV1diFJWOl4BFf5MzTU1Smc0ryulVV2uOadbkt
-ekwHYaoohAg9aQe1DXFJV7ZSwoM3KfaJmaGV+BlOSqD6TGs75jmUwG11GyTEebg9
-DxXm39mEczVnxLIZNIv4zv0DYIof4sAzMhnGqSesqoUjJeSUUVysp7Mwmk4E48WA
-wCiubahEe0boWHlrT2is5tF88Fwkjjcwqw2jQX1+LeWiB/RA3kNxU4WTx0BFLvyH
-lfwzVP+lAnWMng==
+MIIDoDCCAoigAwIBAgICEAEwDQYJKoZIhvcNAQELBQAwaDELMAkGA1UEBhMCUEwx
+GzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UECwwHUm9vdCBDQTEL
+MAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNBQGV4YW1wbGUuY29tMB4XDTIx
+MDQwNTA2NDExM1oXDTI1MDQwNTA2NDExM1owbzELMAkGA1UEBhMCUEwxGzAZBgNV
+BAoMElN0dW5uZWwgRGV2ZWxvcGVyczEPMA0GA1UECwwGY2xpZW50MQ8wDQYDVQQD
+DAZjbGllbnQxITAfBgkqhkiG9w0BCQEWEmNsaWVudEBleGFtcGxlLmNvbTCCASIw
+DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJe4TEQ2K9uY4O0ygKWIzWLhDadn
+jV1GEAoWKWfCPEiFK6HUo1bO6PBdybJh4P86xB1HwTKaPDbWhA0IBNiIX3GE7Qux
+yeXCM0AcT/2akAGCAmCsdhUCL1OywB2oJyBrRsjAj/S2/a+yIHxk6ghin7vuPgUs
+Kmpt8wtaLlbSczCuuXtIkadK0rxH/tS4ktoywvgYrc0C5e1M6kUOuC4aj/yfyYow
+QHzBnl0/nF1X3amWQWKGmOcYGZluR9p+x1fuMWmMIdno+29cI+nSapOivFJ2Qtv1
+4/RYzNihN3RyRm0PDnQYbvzjE/vCw1zC6hC0IvVpMNIP1gq3YEuQC3O1dAsCAwEA
+AaNNMEswCQYDVR0TBAIwADAdBgNVHQ4EFgQUNoQXK+BrnmpnHRXihug0BckE9tIw
+HwYDVR0jBBgwFoAUGKvroNJFPF+dlNQfU+tYcOxs3DUwDQYJKoZIhvcNAQELBQAD
+ggEBAFxjD02BYe/JkzXDQmGNbYIoM286vrn1GritD3pIkcfPWCnhWoIkVz15uKYZ
+JxMRX6e7wRxGrPaCYqIMkMB+T5G/494pyv27DvvmAhoRMKpH1YyxsuC5hjjdBxOY
+OLeHTyL+VoEYhV08TQi8NJ0U+87mp5V7061wt/4v5RT8YTqIgv89BEMYMRKJjo5h
+Fto510/C+2QpLa5DErTMNEe0Ggk9dbDeSI7RcrYjeG/C/sA4H5/qe6BFSYnhPMV+
+fsvs1bXuu5LNlMxNnk/bHyfF6cX00nTJqSS/hDaZiX1HNlvoM6nIEpnJh1sQMFwN
+WVb80/87AKG2YIDag9DDl6UCsJg=
 -----END CERTIFICATE-----
+-----BEGIN RSA PRIVATE KEY-----
+MIIEowIBAAKCAQEAl7hMRDYr25jg7TKApYjNYuENp2eNXUYQChYpZ8I8SIUrodSj
+Vs7o8F3JsmHg/zrEHUfBMpo8NtaEDQgE2IhfcYTtC7HJ5cIzQBxP/ZqQAYICYKx2
+FQIvU7LAHagnIGtGyMCP9Lb9r7IgfGTqCGKfu+4+BSwqam3zC1ouVtJzMK65e0iR
+p0rSvEf+1LiS2jLC+BitzQLl7UzqRQ64LhqP/J/JijBAfMGeXT+cXVfdqZZBYoaY
+5xgZmW5H2n7HV+4xaYwh2ej7b1wj6dJqk6K8UnZC2/Xj9FjM2KE3dHJGbQ8OdBhu
+/OMT+8LDXMLqELQi9Wkw0g/WCrdgS5ALc7V0CwIDAQABAoIBAG9bf+7Y69vkG8M9
+PBtDi6w1jvX+FU4OrJsapQ1ZDTIVPG8tSS3f9CzoSbA6ExCCK4tqLS1c8zE0xfti
+lVvwzEzfybS5q3yNy1wU68kx9tyEdgZKzuigj+gY3NVnpEAxPOUAISj2XsDkNt/W
+mcfJy3/+X1sgjYlMZgVBDZ4AHTfvBSX+ulSdHXrEa91/PLriV3JRdYl7XqBBz2Gi
+rPyVVgdZPn4+G7nUoqiCCisB6VE0vYfFGhyGOAqy4Feg3rR/YfgH/iBLay9JyYZu
+IXVV5q/Mgee1aZ8+D5xXLTesYSmzl5TDM2xwt7j24gT7iIudme0AUr2cNQeg0MTQ
+gcTCtmECgYEAyc/dN72QFEg/R4vvd8N7VCW13UNOxAUElNvvkRtceOfYeKWKG1kp
+Zg1Vc94V1+I8M0UlJX9VV/a+Yxjyxsp8L3iwcwByusdcB86K+AZBvQTfVuLk5Sqf
+NHENNjOtfWOFiqCwUl9ZRHr3+bnkC2PhjZnE/xmT5hff1t2jfeYG/rMCgYEAwHU1
+uYrqTRLP1K8BUNnmwSva5BCRzgjED92JDAUdzw9VK4kIULdSSTV148CUevP+G6FH
+QaV5I56l6iDr95U8f1omNjgMH5+/AaeqT1rwrmDDhZui9e28SKLO3mvQu+8anlEk
+Appt9EesRszf10gxZy5Om1eFv2mhXf41PPB3YUkCgYEAxZyZ5FPlekbIV9mpkh9D
+a0FF1LRsszqqosy9x9v/75Auguyt0Fu9UuWpkDyeLPeltRp25kHKIslE4ipyx79M
+XPuT4/hDX6uI7UgNAhK2Wk0kGKMyOUhD/ojYxANUVVyXTghMv0wIUCsNGGYy7AhQ
+u2Qf5x93mC42i+IZjlUo8ksCgYBSOQEl7tpg6TuPcuEOCLoUJ0dSDl4sdwREfvIR
+B5KPps5NVjMOQPPPwR5HmjwVN26FoWaO/kH93Manez80vDZndj1DBrjvPdFdxKL3
+WjPfXAnMaAy8IsBBDAVzcv5vfByULLhEwHNfXMuWR+sNz5MDsP32UfMbLua5AGUA
+Tv/BuQKBgFWPGi5c+D2FEQeFlnqk8n601KLHI1pNCI2/y7saVUF9En2KjRR3iyt3
+G0xi8vHXhZcDF39BpdJPUZ7/opGt0r80QHTuWBcbDC/5gbqPqQ+RXJ35wgYxVldD
+bwuzOG6LCz8Qn7evQX8u4V6QKWZi9r4/30Kd6daVxobSjA9rUjAG
+-----END RSA PRIVATE KEY-----
Index: stunnel-5.44/tests/certs/PeerCerts.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/PeerCerts.pem
+++ stunnel-5.44/tests/certs/PeerCerts.pem
@@ -1,41 +1,44 @@
 -----BEGIN CERTIFICATE-----
-MIIDZjCCAk6gAwIBAgIBBDANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQ
-MA4GA1UECgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0Ff
-Y2VydDEiMCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbTAeFw0xNzA0
-MjYxODQ1MDBaFw0xODA0MTMxNTQ1MDBaMIGFMQswCQYDVQQGEwJwbDEPMA0GA1UE
-CBMGY2xpZW50MQ8wDQYDVQQHEwZjbGllbnQxDzANBgNVBAoTBmNsaWVudDEPMA0G
-A1UECxMGY2xpZW50MQ8wDQYDVQQDEwZjbGllbnQxITAfBgkqhkiG9w0BCQEWEmNs
-aWVudEBleGFtcGxlLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB
-ANmjtYUKRiuc9zrC3skW6m9AdHI7fnDt7E0OPilNOQTVoxl7KNysDfQcezcdE7u9
-1G9gnnlCpm3glmM7r28f3VHh9TXDjyJNO2h6se/Wmk7joZ6IBio5qtlHHQLZoS6P
-DkgZvTEqvlGBCAt0uHTGiAxxSFRCHI1FWIC2Cr9pOyUh/aFVVa5tD8SpKZwWV8eT
-hN46auWcvtcjELPhSc1X/fBa3swEEIqpSggwqVapJ2xoiZNF9pQ1nCJfJ6ppkr0n
-r69lOhoJ7tXeOzeoBF+QZxAbEQAW29bHa39fHGxT/g6tvOcpdcBQ5qtnOyswqHEA
-BE1CyWfUG5RuqpK7zK5ZqvkCAwEAATANBgkqhkiG9w0BAQUFAAOCAQEAZO2G+h4X
-UUMB0uVIiz/+iX9b/EifbLwLs87zEAzfYlWCr0pq2DGMxhEUq+vSxr3j3YV1I6Rz
-y2Ao2CyWI/2NoS0Jvf2MpyX+lmGV1diFJWOl4BFf5MzTU1Smc0ryulVV2uOadbkt
-ekwHYaoohAg9aQe1DXFJV7ZSwoM3KfaJmaGV+BlOSqD6TGs75jmUwG11GyTEebg9
-DxXm39mEczVnxLIZNIv4zv0DYIof4sAzMhnGqSesqoUjJeSUUVysp7Mwmk4E48WA
-wCiubahEe0boWHlrT2is5tF88Fwkjjcwqw2jQX1+LeWiB/RA3kNxU4WTx0BFLvyH
-lfwzVP+lAnWMng==
+MIIDoDCCAoigAwIBAgICEAEwDQYJKoZIhvcNAQELBQAwaDELMAkGA1UEBhMCUEwx
+GzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UECwwHUm9vdCBDQTEL
+MAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNBQGV4YW1wbGUuY29tMB4XDTIx
+MDQwNTA2NDExM1oXDTI1MDQwNTA2NDExM1owbzELMAkGA1UEBhMCUEwxGzAZBgNV
+BAoMElN0dW5uZWwgRGV2ZWxvcGVyczEPMA0GA1UECwwGY2xpZW50MQ8wDQYDVQQD
+DAZjbGllbnQxITAfBgkqhkiG9w0BCQEWEmNsaWVudEBleGFtcGxlLmNvbTCCASIw
+DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJe4TEQ2K9uY4O0ygKWIzWLhDadn
+jV1GEAoWKWfCPEiFK6HUo1bO6PBdybJh4P86xB1HwTKaPDbWhA0IBNiIX3GE7Qux
+yeXCM0AcT/2akAGCAmCsdhUCL1OywB2oJyBrRsjAj/S2/a+yIHxk6ghin7vuPgUs
+Kmpt8wtaLlbSczCuuXtIkadK0rxH/tS4ktoywvgYrc0C5e1M6kUOuC4aj/yfyYow
+QHzBnl0/nF1X3amWQWKGmOcYGZluR9p+x1fuMWmMIdno+29cI+nSapOivFJ2Qtv1
+4/RYzNihN3RyRm0PDnQYbvzjE/vCw1zC6hC0IvVpMNIP1gq3YEuQC3O1dAsCAwEA
+AaNNMEswCQYDVR0TBAIwADAdBgNVHQ4EFgQUNoQXK+BrnmpnHRXihug0BckE9tIw
+HwYDVR0jBBgwFoAUGKvroNJFPF+dlNQfU+tYcOxs3DUwDQYJKoZIhvcNAQELBQAD
+ggEBAFxjD02BYe/JkzXDQmGNbYIoM286vrn1GritD3pIkcfPWCnhWoIkVz15uKYZ
+JxMRX6e7wRxGrPaCYqIMkMB+T5G/494pyv27DvvmAhoRMKpH1YyxsuC5hjjdBxOY
+OLeHTyL+VoEYhV08TQi8NJ0U+87mp5V7061wt/4v5RT8YTqIgv89BEMYMRKJjo5h
+Fto510/C+2QpLa5DErTMNEe0Ggk9dbDeSI7RcrYjeG/C/sA4H5/qe6BFSYnhPMV+
+fsvs1bXuu5LNlMxNnk/bHyfF6cX00nTJqSS/hDaZiX1HNlvoM6nIEpnJh1sQMFwN
+WVb80/87AKG2YIDag9DDl6UCsJg=
 -----END CERTIFICATE-----
 -----BEGIN CERTIFICATE-----
-MIIDVDCCAjygAwIBAgIBAjANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQ
-MA4GA1UECgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0Ff
-Y2VydDEiMCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbTAeFw0xNzA0
-MjYxODQzMDBaFw0xODA0MTMxNTQ1MDBaMHQxCzAJBgNVBAYTAnBsMQ8wDQYDVQQI
-EwZzZXJ2ZXIxDzANBgNVBAoTBnNlcnZlcjEPMA0GA1UECxMGc2VydmVyMQ8wDQYD
-VQQDEwZzZXJ2ZXIxITAfBgkqhkiG9w0BCQEWEnNlcnZlckBleGFtcGxlLmNvbTCC
-ASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAK3S0m42/yBrStPI8A8eV0ig
-fehupIp0sDft/zBAf0r7bg7A1rAuJLkupIfm6Dnc0/vK43/pO8rCTQu7Xf9hMXyQ
-TL3Hr7CamjAITJQ3CSwTBXrWfvwzzr+h2SG2U6DKBh9eBhb7f3ndVcwLIc4WCjJy
-45gv5caKF9RSYUYVSun1tRzRI7xEiSMmQPbLJN1WGsP9nICFd4P2jj/cKJpPzU1O
-wEf4V6wm0sdZ2ECJ8hG5PqfKlxCy1UtSpzMaFR+wqKk1Rujx9hR9CycaROe+0Csk
-97DnygirND6V651tzuTheIrcL5tWAIShVgwxdisi1ui8mxSVUv6Q6DHAPLcx7+0C
-AwEAATANBgkqhkiG9w0BAQUFAAOCAQEAiPQrjJbTZ6NB+FO0lJtt5vEBLdepkl6x
-mtopQRxHPZIuUqV8viP9EW2PlrrPkpdbYZtkD0AuCXiqGD9u31kIHKG05GiQYj8q
-XPy55QuOntWfwJc4GEZ9uebYckHGSNLsyubdkneLeXlEZz2RbtCoZS5337nlaUCm
-93Hp/bRCFZ7if9tiscxwTft92z2+Tc5bI4JGAJfex/VgyggpNRLSDDRibNvFrooO
-1kSnDxySyCtysodXfonWpJFA9EAcUHXY6vlGvzLVJRfrqsS7vC/fuKOz684XDYIL
-g/eJED4XR47T8gA85vM8LWl80lXvfFIYsirOnYmeQDSfTRDG9eZG6Q==
+MIIDoDCCAoigAwIBAgICEAIwDQYJKoZIhvcNAQELBQAwaDELMAkGA1UEBhMCUEwx
+GzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UECwwHUm9vdCBDQTEL
+MAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNBQGV4YW1wbGUuY29tMB4XDTIx
+MDQwNTA2NDExM1oXDTI1MDQwNTA2NDExM1owbzELMAkGA1UEBhMCUEwxGzAZBgNV
+BAoMElN0dW5uZWwgRGV2ZWxvcGVyczEPMA0GA1UECwwGc2VydmVyMQ8wDQYDVQQD
+DAZzZXJ2ZXIxITAfBgkqhkiG9w0BCQEWEnNlcnZlckBleGFtcGxlLmNvbTCCASIw
+DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAO0WY1/OJ3LUbwfKbVw4Z3M1ITz4
++9z9wTCOBvGGdoJbkSfJInazGgpbfW9d7Naitx7PeJPxnphiHJ9UTLz0IZttCUvG
+Zwg6Xk7hcc3acx7i6gETfR1g8+8/F+jmG2RgwnVj1KO/xfQkA0fxXHNBE3uI7IIT
+j1bxE2T+dgZcbjaWvUy1QtlpBYhUqcimshXQheq6339e+/oMjY87PAQX+r9xBKb2
+JpwdVV0+3+q68+FDb61iN50zseCjelhhsEDbgp3eEesV15uhSIXX9MsNwf+mfd6H
+gbJnyCF4vKEj4dcJumAaAGXWTglnOtaV48dp6f5JoTunu59BK7pJzrREIz0CAwEA
+AaNNMEswCQYDVR0TBAIwADAdBgNVHQ4EFgQUrPxRxZvJB6LdLTVt7r040zLJLtww
+HwYDVR0jBBgwFoAUGKvroNJFPF+dlNQfU+tYcOxs3DUwDQYJKoZIhvcNAQELBQAD
+ggEBAEbtMObkZrPXQoHUPB1Ushkc/f+kruMX6B60Ow2IOLFurJoeHzOtC4LkI/Cb
+ESyIPtUe5hwSav+WXXm7TGr9iD4kuZfsVZR333GTYJjuwTljeG82thJFYsVAFjna
+LTQuglBF+de9AwX+4EcyX9VQOD3PUttmCHRGe5SwzHQAm+9rW5V6eqGbE+W41A/K
+PsNa1OyYfwWQflguQtZb3+P2HxZ5uZ2VPXeDlPf+FtY7mY3jU4nRPphoVAZQWrui
+t5feRMJsSC3f+5KO67r9g8BP90I6nelZF/ZXGOF66NKOAuXCjneCpC954Tt8l2hq
+D4TK5JWbPYnijZ3jXJtxIat7l8c=
 -----END CERTIFICATE-----
Index: stunnel-5.44/tests/certs/psk1.txt
===================================================================
--- stunnel-5.44.orig/tests/certs/psk1.txt
+++ stunnel-5.44/tests/certs/psk1.txt
@@ -1 +1 @@
-test1:oaP4EishaeSaishei6rio6xeeph3az
+test1:a2RTi9W4PVTzbvxbcHVERtmCmCqzFrnznNcmWZrX8EeTQ4NPDb
Index: stunnel-5.44/tests/certs/psk2.txt
===================================================================
--- stunnel-5.44.orig/tests/certs/psk2.txt
+++ stunnel-5.44/tests/certs/psk2.txt
@@ -1 +1 @@
-test2:sah5uishaeSaishei6rio6r8iap3az
+test2:7k1hzbuCbxPwikpeEoxwtuLQ5R9XISEoJn7GSnrDbUkpKNwwF0
Index: stunnel-5.44/tests/certs/revoked_cert.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/revoked_cert.pem
+++ stunnel-5.44/tests/certs/revoked_cert.pem
@@ -1,48 +1,49 @@
------BEGIN RSA PRIVATE KEY-----
-MIIEogIBAAKCAQEA7VkojMNX9wmcnIJsRHist/phM9XN5Y5E3yfPzuOYj2ZaA7yE
-yMtl8qMngQJBjYEgkBGr3GD02Xz+j/CDAYD7XbicuyxnR0UH1eADsIQok9ATCAyp
-LJMN7yHix60B62GvdiWUFQC18K8ldhR3497uDf7FVUxcKEnG+pz+jRV+njDUYqGl
-CpoNAfON+9Kf87qdV+Mkxb+Rt+VvNKqzSjrktqtF9kjAs1sibOCuaQq55HdPNJDu
-RATtknx1jwwRnjVANirdYAlgD5J0psLM568B/eBgVlv6wnV+SJClNupNshX3FQox
-vuVENqGEA2d6fXHoyWBD/Dyz6sTwbHst14p9twIDAQABAoIBABL4S0tk2YT/GatQ
-qUKXuoZB1r8D2Z79TffgALXybuEXNx6RVLOPvig0bhXbjk23AllBcFD+1tMDMH1k
-pbPbETweYzh6hg6mL8giTWkwRuX5fWvpRyQu5LA2Lx/ybfLYLePtgPZkxiXkecQE
-QsjNqo0nzbHRlpQJwYOKRLYV/7a43PP6PVszOOz/gxHl4A5o2a6sDY8YDRbJz9BX
-w+PhuhtJMYaTIPnHYD+4zbi3szftkFH/AXyJmKWpusyBUuyAEh07fETAOA7FD7QQ
-TEg7vmLr50uNBt7+luVbfFTC156ehriU+/0DkEgnPORNLPfbv65iRoxAd+T6JxVj
-fbU76OECgYEA/ttZoE+5MyPO+drefjB5OC4sJI/rgf9v8xZdD9MoJNVl/ewst7Pk
-0gkW+t9mD9ZKyi5ecylU2U4vb/MGkrSzkimxEXMxGMMudmhjFcRvoDMBBj7klfsd
-EoQ0YVs5yyJkehGX3+8hSAyIbkrMLQtJrduPVy8qGV7qeupZfKIjCpkCgYEA7mm0
-D82FD2wl8ZqaTe44TNjkDQ6Nk6NmNPNprjwNeMSqNvHvF+irfLagSKAnQfkFs6vQ
-XjGB+3mnBkg+/8BndB5iEYJ41nMkPSNMPy0FYznmLwMFf11p7E6ncqrCLwOEQ3vi
-s3YONadV7ifv/MEBDlmJIgwq74QIAZo/QYu7zM8CgYBKPXWfWHn3pr+9Uv+rPM2j
-Cvg68l3FcbaX1nTnjjhMeomKbYkdPl8yvAkgrYEare79dIJ5A5o+7yKsdtv8Un1Y
-36JAFhFASGM5hPEQPzfRL+plel62Pf9bDH4BukRcozknwgY+6ncEePopPsq5eGdP
-KP1ZhVi7KUYe5jOJNeYFSQKBgGgJ2pi2z+T+BcTb+ZAeb5UhZMtJ2YBe4sAipLBy
-5lIYSEs34mVllEgVDfcDZH5GpDVWudQQ+K771GZKaquCk+K5S4RmkkLK9jpzx9cd
-12cIoilLwT9mTU3guPOyDpEjkLk+O5yi3OqO/lGyPejndIWFjvE7rBTfYfsJC6eX
-yblDAoGAWMZ3050vZXVOlaMJDVEBXT+TVm6lAS+GbAoW1A31Fv6fs+PSGgaRUz/l
-tc1Da39UEBBbX/pudD5XVShnXhR1KeBG9nPRaP70NSXOQjHh0W1OzL9viSMvUx3f
-EsK3y9WO1cr8C89e/9vNektU29irMzTwQQolb+tR9f9BIpae0XM=
------END RSA PRIVATE KEY-----
 -----BEGIN CERTIFICATE-----
-MIIDbDCCAlSgAwIBAgIBAzANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQ
-MA4GA1UECgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0Ff
-Y2VydDEiMCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbTAeFw0xNzA0
-MjYxODQ1MDBaFw0xODA0MTMxNTQ1MDBaMIGLMQswCQYDVQQGEwJwbDEQMA4GA1UE
-CBMHcmV2b2tlZDEQMA4GA1UEBxMHcmV2b2tlZDEQMA4GA1UEChMHcmV2b2tlZDEQ
-MA4GA1UECxMHcmV2b2tlZDEQMA4GA1UEAxMHcmV2b2tlZDEiMCAGCSqGSIb3DQEJ
-ARYTcmV2b2tlZEBleGFtcGxlLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCC
-AQoCggEBAO1ZKIzDV/cJnJyCbER4rLf6YTPVzeWORN8nz87jmI9mWgO8hMjLZfKj
-J4ECQY2BIJARq9xg9Nl8/o/wgwGA+124nLssZ0dFB9XgA7CEKJPQEwgMqSyTDe8h
-4setAethr3YllBUAtfCvJXYUd+Pe7g3+xVVMXChJxvqc/o0Vfp4w1GKhpQqaDQHz
-jfvSn/O6nVfjJMW/kbflbzSqs0o65LarRfZIwLNbImzgrmkKueR3TzSQ7kQE7ZJ8
-dY8MEZ41QDYq3WAJYA+SdKbCzOevAf3gYFZb+sJ1fkiQpTbqTbIV9xUKMb7lRDah
-hANnen1x6MlgQ/w8s+rE8Gx7LdeKfbcCAwEAATANBgkqhkiG9w0BAQUFAAOCAQEA
-TFyPHPwb3CwDvPVlC6pgaowXbDEiQ5vU2Oecq/RwMxhC1FJ5ks+VIQ+KBrDRs9Ao
-k7dF5kuGc3ZAFHgWnzpyUobAyeZchaykLYy8yslwW6xFEbWXW599mjI3D5/N9xcy
-v8IHwqTTQRaxPPdcu3vjDtdpgJY89lFE2mzdPNz24Z/qsTPdLG1668L2CxoplGl2
-0THVrNHxpDF0QqINZpTc6TzsZgvROXmcAYzg2D4v5TmUzXQaLhnPTkcKWfwxpUu0
-XDlFJuNKr+YLS9GY+0lE1kNHpiTEusnfTPRXneDZipD3Hr6LsXX0ahRgbA3loyTJ
-B9Kk23ftqSr4oePTJytIAA==
+MIIDozCCAougAwIBAgICEAAwDQYJKoZIhvcNAQELBQAwaDELMAkGA1UEBhMCUEwx
+GzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UECwwHUm9vdCBDQTEL
+MAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNBQGV4YW1wbGUuY29tMB4XDTIx
+MDQwNTA2NDExM1oXDTI1MDQwNTA2NDExM1owcjELMAkGA1UEBhMCUEwxGzAZBgNV
+BAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UECwwHcmV2b2tlZDEQMA4GA1UE
+AwwHcmV2b2tlZDEiMCAGCSqGSIb3DQEJARYTcmV2b2tlZEBleGFtcGxlLmNvbTCC
+ASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAK0lPY2JwKd8dJNa2wQL9r0u
+sXSGCdPXZKnJdPaT0b2M5iQfjcuLWmnz7ZB5tPc4/A+c4CgsSomb7iwkwYHPj7SE
+0oGU4lAt4UywZ5kwg5hlkBi6yP+Y821s3ZSqv/MZW1MaW540VCLdjXVPw3Zj65OL
+4+dOeHmeTYLKaaqMxaxjPdzbnlyTQOUA7zmoLfGOCcacgT7SmPbKCHl0l/6H0MIE
+M0rEG06H8oMulO7Qd5kBL2zg5aLVXvQGC45Vv80pC6D7NvMbaxTY756nAhI5y1zS
+aY/3taG11aaScCf+GJnixj/mHcOchC02sk0BjHWLyAVjN9mwr7EvDZwYYDweg3kC
+AwEAAaNNMEswCQYDVR0TBAIwADAdBgNVHQ4EFgQUOvwIrOEzhHlflttQ8e3nPNlf
+++swHwYDVR0jBBgwFoAUGKvroNJFPF+dlNQfU+tYcOxs3DUwDQYJKoZIhvcNAQEL
+BQADggEBAFqcavEBXUrlQzwSCYtCLHU3yzOOhAGdE/uSz+7mZkgOpzD3/KIg978l
+iOzQ9VElNh0hYI6chVJsSzlRvmS/dhTGOJHaItsd9Y51NoePMeP/Clqh28Zq828u
+fV3+koII7/AXuxuN+EROVSDjj/GrydgiRaNi28fGg7shkWhT+mYbo03ComDAoHmg
+9dDhL+Fsjg1KOZw8XfWMh6sdgcIBZ6L9ZmjMtYPiwP6Yh/8kVQOeekGA4cH5i4yr
+7PIeFD5b+Ot5+rXIpBl62SFVuLj6weJOfSBEv60Gdgu6gZ/NNY8YOCFfT8NPWzsB
+L+0u5yIKE7+rCE0w9Nyr8eUzsYifc0s=
 -----END CERTIFICATE-----
+-----BEGIN RSA PRIVATE KEY-----
+MIIEpQIBAAKCAQEArSU9jYnAp3x0k1rbBAv2vS6xdIYJ09dkqcl09pPRvYzmJB+N
+y4taafPtkHm09zj8D5zgKCxKiZvuLCTBgc+PtITSgZTiUC3hTLBnmTCDmGWQGLrI
+/5jzbWzdlKq/8xlbUxpbnjRUIt2NdU/DdmPrk4vj5054eZ5NgsppqozFrGM93Nue
+XJNA5QDvOagt8Y4JxpyBPtKY9soIeXSX/ofQwgQzSsQbTofygy6U7tB3mQEvbODl
+otVe9AYLjlW/zSkLoPs28xtrFNjvnqcCEjnLXNJpj/e1obXVppJwJ/4YmeLGP+Yd
+w5yELTayTQGMdYvIBWM32bCvsS8NnBhgPB6DeQIDAQABAoIBAQCba65Q+rIgparP
+CuNGQqb9MojAHAF+Uv5dGiUPoajICU4cZuaVK0XBjeBVq6oxsMkyCpN7/CX8WCf3
+IBdDOtm4JPIAt3BeoJB4knCsJcw6ZBBw4lnCdb0tIGfWJ1+eC8jaU/KhlD9h/JYa
+E7tU7mRsUUoGO34RTXQuTxuCqFJYZlHt+eoiqZEsatfuyc+OAH3F35VK49uD14hL
+F7XvFy1HKgJzU8xpW/5rYFmIC1F7bFtJVyyfSKVDzaRTr//VQ1q3NkKmvi3PLxdP
+umIztgrT7Nd3xl/C53gTP2ztIa5BOcvpW+GDJSPST87tPR392JXxb282KQToTz0A
+mm5f0APBAoGBAONhBxYtEX7Sh2gJEI+FZFfIjn6W9N65IHnWguBkgh1xtELBBwwf
+NoQgskLVhxiv5KdHnxGY8THW5BhDuOD77CJhtYFIk6kMV8IIOa4QKr0QSDQ4VRV0
+fkInKeUkpaYSW1sdlYVSPfNBD+XQelxZ3gn/cQN6oQpYxX5hg2l9vab9AoGBAMLw
+nL47FWb5cZ+543eJbF0kV/CuZ/GGmbdtI+D3EtLPQyN/vL9EB7/rmncRn7xsu5UN
+zLUmA9YqXc+02CRnW02jQIOrd3Z/7YqLXc926KVLGLgvhbKjuaA6QPoVKJleU8Ai
+cAT6S9LYDGelHsk4xXxkKZb9maH2cmntUOzzi50tAoGBAMg6FhJ6J3DllWWQreuk
+jGMc8hYZepJytV10/5T4DPg+u30ZG8qZ5djeLfvaqneb1J9V24aUhrjbwcp4QGKm
+lR8Fqd6p+ZWgj9sGgTx9chVBNEP/4zTce55nfGYTKmeevKH04EkhzfnarlQyjL2s
+SXHGZk+o+gzxdSBAYIdRueNFAoGAXdSlDaewyIz+lQxLockC4N5SeeXo4EeSi8i7
+wVgLtm7O+TJN7p5XQJiuE+vmwDJyI++tffAbXqWr3ANHGlapivguYHJTITW4Z7xn
+Xin1F0LLVjSBnRfTjH0ds4IltZTCqTOqSasUfhtB9U10QRTTcelgX24X2e6e6b+x
++SvNIs0CgYEAnGKrp3Bz3MJUxx+1V1fTMaDHIdd4TzCKBooDeAIPkqecqXGP/KEI
+wKLoN2DLZ+hoLqdXoAJSQZPlVje5w4jazj99A1t9IshVZK+X943YJspbMaJMs9NM
+8Gl4K/PXik8nEAPpXRQ7pUAKAC2AXji68m0Zk8FQFlyOVJo7ej7EtpU=
+-----END RSA PRIVATE KEY-----
Index: stunnel-5.44/tests/certs/secrets.txt
===================================================================
--- stunnel-5.44.orig/tests/certs/secrets.txt
+++ stunnel-5.44/tests/certs/secrets.txt
@@ -1,2 +1,2 @@
-test1:oaP4EishaeSaishei6rio6xeeph3az
-test2:yah5uS4aijooxilier8iaphuwah1Lo
+test1:a2RTi9W4PVTzbvxbcHVERtmCmCqzFrnznNcmWZrX8EeTQ4NPDb
+test2:Pcuk6VLcFA85hracS5D53xDSWpCBvuybsnaCfyFF8EsUXC3SWK
Index: stunnel-5.44/tests/certs/server_cert.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/server_cert.pem
+++ stunnel-5.44/tests/certs/server_cert.pem
@@ -1,47 +1,49 @@
------BEGIN RSA PRIVATE KEY-----
-MIIEogIBAAKCAQEArdLSbjb/IGtK08jwDx5XSKB96G6kinSwN+3/MEB/SvtuDsDW
-sC4kuS6kh+boOdzT+8rjf+k7ysJNC7td/2ExfJBMvcevsJqaMAhMlDcJLBMFetZ+
-/DPOv6HZIbZToMoGH14GFvt/ed1VzAshzhYKMnLjmC/lxooX1FJhRhVK6fW1HNEj
-vESJIyZA9ssk3VYaw/2cgIV3g/aOP9womk/NTU7AR/hXrCbSx1nYQInyEbk+p8qX
-ELLVS1KnMxoVH7CoqTVG6PH2FH0LJxpE577QKyT3sOfKCKs0PpXrnW3O5OF4itwv
-m1YAhKFWDDF2KyLW6LybFJVS/pDoMcA8tzHv7QIDAQABAoIBAAbCvWaGAxRKuAVW
-umeMIY70lxEURJgSA8yZGCTTTWAoOVafj3oYwVrmgoW6qGufuCsB8ClIdAfl2MNN
-DVHigN88aY+0FZRD3x1hJUFahqPNNZhagWPjy/XOILjb85K8aNKNgKUiMQoXXr/p
-6u2uE8V0jH+d1U0Mj/K1JY1pRJmm4W7Tp366z3goibOK6tWwSbGGiPWXvfy8fZdz
-8Hs/pG3oGEciof5hg55wSfJ+XF24iu850GaIKSNAf6pLUoU6S4zKj01qpSOEY1vN
-Sv5r8/yd3VQzoxk6wVDQvo7qIS7zqvvUqw0iCf3JsWGnQmEGQqwWmLiT8yE1CxFy
-H8veha0CgYEA3lffU6HSXw5zHW3o3Bx6/pGGkPlNzUDi/NbOd2kr/wBOZvmJOR2d
-U0CKoqjJpBTs7CEnpvbSkz4Hit/Y00UgQS1Zvfqo5m1yhWl1jiiHqoe0Alc/P5fa
-YMkkV+++eUUQFNJCiQKMRElkEEEITw21EmflWW86/ln9GAO8YZ1Ne0cCgYEAyCK9
-J4plfXEyTJpltg/7z/0DMuJwc3qRLMicaXcHHWK+C6ZSFOn6rzx/1GWa25Z3sXT8
-XAe98ZCYDK2+twCLtM6z2uKj/xCkZWH8AmaKKbLsMYCHXkOi38EpuxT1uiXosjVf
-ArZoAL472X5d4Eg/szGsfeMmvPm52V7OM3tHbSsCgYBydtR/DqDp1NuIfAvUPUlI
-gwy+18mo8E2rEr7qFJfUyIiUVMTDRa63rFNy1+gu86LhEVSDjS/tI5LoeML8SOsJ
-Atrfhgqrzg6WBivByrXFIeWXCumByKBhEUwHhWIOtnJH9dLRDCHACfRctc4cPJdK
-aXhWKYA6b4NveITj0AKSgwKBgDYFen1j1AVKOsOGoZHFOrlnmCdyC9x/5xPpip7F
-LDx4XMgUOu++QJZwhCi2zFgdg215IG1PAaxk1UYG2AXZtdw2N0IMDyxYN6fODRIw
-z3Z1/19VTDTbmOlA4JzJCZMXjHoeAelfhy88KjeI7poNpnQeImtQlzJHTi0odAxd
-aGhFAoGAfxHh4GhsIpIwxQMKINUXvwQAI3rUph5gMv0MS3CAwoVAFNzKZeJQsRVW
-IsI830HC+sPEpekiGcYFsRIbZv+Eh/f4j9TJ7eqUrkxVluleFU6YFHuFepbmcH4L
-nZKr5bR+kg4g0g3iqNey5pJIfTj+GoLmnv6GakqQNUdFSBAJ98g=
------END RSA PRIVATE KEY-----
 -----BEGIN CERTIFICATE-----
-MIIDVDCCAjygAwIBAgIBAjANBgkqhkiG9w0BAQUFADBnMQswCQYDVQQGEwJwbDEQ
-MA4GA1UECgwHQ0FfY2VydDEQMA4GA1UECwwHQ0FfY2VydDEQMA4GA1UEAwwHQ0Ff
-Y2VydDEiMCAGCSqGSIb3DQEJARYTQ0FfY2VydEBleGFtcGxlLmNvbTAeFw0xNzA0
-MjYxODQzMDBaFw0xODA0MTMxNTQ1MDBaMHQxCzAJBgNVBAYTAnBsMQ8wDQYDVQQI
-EwZzZXJ2ZXIxDzANBgNVBAoTBnNlcnZlcjEPMA0GA1UECxMGc2VydmVyMQ8wDQYD
-VQQDEwZzZXJ2ZXIxITAfBgkqhkiG9w0BCQEWEnNlcnZlckBleGFtcGxlLmNvbTCC
-ASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAK3S0m42/yBrStPI8A8eV0ig
-fehupIp0sDft/zBAf0r7bg7A1rAuJLkupIfm6Dnc0/vK43/pO8rCTQu7Xf9hMXyQ
-TL3Hr7CamjAITJQ3CSwTBXrWfvwzzr+h2SG2U6DKBh9eBhb7f3ndVcwLIc4WCjJy
-45gv5caKF9RSYUYVSun1tRzRI7xEiSMmQPbLJN1WGsP9nICFd4P2jj/cKJpPzU1O
-wEf4V6wm0sdZ2ECJ8hG5PqfKlxCy1UtSpzMaFR+wqKk1Rujx9hR9CycaROe+0Csk
-97DnygirND6V651tzuTheIrcL5tWAIShVgwxdisi1ui8mxSVUv6Q6DHAPLcx7+0C
-AwEAATANBgkqhkiG9w0BAQUFAAOCAQEAiPQrjJbTZ6NB+FO0lJtt5vEBLdepkl6x
-mtopQRxHPZIuUqV8viP9EW2PlrrPkpdbYZtkD0AuCXiqGD9u31kIHKG05GiQYj8q
-XPy55QuOntWfwJc4GEZ9uebYckHGSNLsyubdkneLeXlEZz2RbtCoZS5337nlaUCm
-93Hp/bRCFZ7if9tiscxwTft92z2+Tc5bI4JGAJfex/VgyggpNRLSDDRibNvFrooO
-1kSnDxySyCtysodXfonWpJFA9EAcUHXY6vlGvzLVJRfrqsS7vC/fuKOz684XDYIL
-g/eJED4XR47T8gA85vM8LWl80lXvfFIYsirOnYmeQDSfTRDG9eZG6Q==
+MIIDoDCCAoigAwIBAgICEAIwDQYJKoZIhvcNAQELBQAwaDELMAkGA1UEBhMCUEwx
+GzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEQMA4GA1UECwwHUm9vdCBDQTEL
+MAkGA1UEAwwCQ0ExHTAbBgkqhkiG9w0BCQEWDkNBQGV4YW1wbGUuY29tMB4XDTIx
+MDQwNTA2NDExM1oXDTI1MDQwNTA2NDExM1owbzELMAkGA1UEBhMCUEwxGzAZBgNV
+BAoMElN0dW5uZWwgRGV2ZWxvcGVyczEPMA0GA1UECwwGc2VydmVyMQ8wDQYDVQQD
+DAZzZXJ2ZXIxITAfBgkqhkiG9w0BCQEWEnNlcnZlckBleGFtcGxlLmNvbTCCASIw
+DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAO0WY1/OJ3LUbwfKbVw4Z3M1ITz4
++9z9wTCOBvGGdoJbkSfJInazGgpbfW9d7Naitx7PeJPxnphiHJ9UTLz0IZttCUvG
+Zwg6Xk7hcc3acx7i6gETfR1g8+8/F+jmG2RgwnVj1KO/xfQkA0fxXHNBE3uI7IIT
+j1bxE2T+dgZcbjaWvUy1QtlpBYhUqcimshXQheq6339e+/oMjY87PAQX+r9xBKb2
+JpwdVV0+3+q68+FDb61iN50zseCjelhhsEDbgp3eEesV15uhSIXX9MsNwf+mfd6H
+gbJnyCF4vKEj4dcJumAaAGXWTglnOtaV48dp6f5JoTunu59BK7pJzrREIz0CAwEA
+AaNNMEswCQYDVR0TBAIwADAdBgNVHQ4EFgQUrPxRxZvJB6LdLTVt7r040zLJLtww
+HwYDVR0jBBgwFoAUGKvroNJFPF+dlNQfU+tYcOxs3DUwDQYJKoZIhvcNAQELBQAD
+ggEBAEbtMObkZrPXQoHUPB1Ushkc/f+kruMX6B60Ow2IOLFurJoeHzOtC4LkI/Cb
+ESyIPtUe5hwSav+WXXm7TGr9iD4kuZfsVZR333GTYJjuwTljeG82thJFYsVAFjna
+LTQuglBF+de9AwX+4EcyX9VQOD3PUttmCHRGe5SwzHQAm+9rW5V6eqGbE+W41A/K
+PsNa1OyYfwWQflguQtZb3+P2HxZ5uZ2VPXeDlPf+FtY7mY3jU4nRPphoVAZQWrui
+t5feRMJsSC3f+5KO67r9g8BP90I6nelZF/ZXGOF66NKOAuXCjneCpC954Tt8l2hq
+D4TK5JWbPYnijZ3jXJtxIat7l8c=
 -----END CERTIFICATE-----
+-----BEGIN RSA PRIVATE KEY-----
+MIIEowIBAAKCAQEA7RZjX84nctRvB8ptXDhnczUhPPj73P3BMI4G8YZ2gluRJ8ki
+drMaClt9b13s1qK3Hs94k/GemGIcn1RMvPQhm20JS8ZnCDpeTuFxzdpzHuLqARN9
+HWDz7z8X6OYbZGDCdWPUo7/F9CQDR/Fcc0ETe4jsghOPVvETZP52BlxuNpa9TLVC
+2WkFiFSpyKayFdCF6rrff177+gyNjzs8BBf6v3EEpvYmnB1VXT7f6rrz4UNvrWI3
+nTOx4KN6WGGwQNuCnd4R6xXXm6FIhdf0yw3B/6Z93oeBsmfIIXi8oSPh1wm6YBoA
+ZdZOCWc61pXjx2np/kmhO6e7n0EruknOtEQjPQIDAQABAoIBAQC1PgwxzTMzAVrv
+pbv8Z9INrGwAZIaF5iatq6V7NcOa280XkRcbjsc1a8N0Q2Uun61FjG0tC+SlsTsY
+QiV3vVmDq9MTblSNYbF+s7GAIKMo1Wb186QNtXRFTQJGNMJz9dQyUWLY213EyVMI
+yGZYZUMziPTka3eEiz68Uhp/umE2sISmAsu6tzfgoNhmFE3s80epy1LtqIPTrtCR
+igcYpx9f0BYU0aO7r0tN2cGIxRzngDr3gol5yphDwSB7sSqwnOBQYH/UtvFmkTsr
+sffIvmkagKXqimWFT+9Ecnd8f7f8mFC9Ql2HoP12DmBJmkHjnSyO/x3oMYLtz89g
+3X8mq8KBAoGBAP3wquE2RYPVN/s1hGEGrhU4HXdEW4kzLvkLJ1O8NILyTk04ioSK
+W1y4ZhNZwsyjTY2thNZKO4SeBLVlMm+uZ67rUKKfhOXRE720y7Pm2ghl6FYT4RcV
+le7J8NuhPA5fYzkYYfSfgBnUYOG9dqeSFezoGQ3nLHLi+H1xuN/LpwE1AoGBAO8C
+uXQ6qMbjCcADyngh3vzsz2sBVk0LkYEjSQZ/H8iff3Br03s/qz+FXX410VntjBPK
+Xi63FHQ7uaAIXxvFxv0ut0sCcPeG4s4t4GTPPaDnynUoZxiClsGr5QUz3apSY2q/
+iaKLQTpSw7mXYcRidmMEBWIOB+jmX9+EkijVDyLpAoGAIOSQrdVi0b3Hn5GCETNV
+T0hSgMVo+e+YUQgB0xXY03FhdR0yzBJD3VHBXxZMZkds30Ivp7Y72WTChWCTVOYJ
+Zh3y9u2kwEQBw5vsmuP3MAlLPAMdL+lK34Bm43wSFGaEqruezJnwdOgOmI77FJ+W
+mXZC8IsWNddyioU1hj+R5VUCgYBNYKNrloYHhX8lk9SbmdOYLI5mBRPMc59SoHrG
+yKcgi0p1ueLIdu9Y7DM9Zez14SrFSXG+S/UqQB+zSKKJ2ji2xMYAWbT63cdVmpKX
+8GPyULhBv6fIzpZB8wV87rKnrm6TI5lKbyzZ1euZjQHQ01OicK3RddtnshV9xmyP
+HZL96QKBgDrK2SAQWM7cjxbxAV6c0b0/fLg0aLAv+Udy5A3+ma4WQHvSn4IqV3V9
+yZRIsn7DoQU4k6Fgq8ziBgIusLP4O7HlLIcoyI4wj77ddUdFyepAZb3+7ez6f2cg
+cfWjioJzjY4UEIqNp04f60zAqBZDnCrzRSPZ4VOzKGdKILe72eV2
+-----END RSA PRIVATE KEY-----
Index: stunnel-5.44/tests/certs/stunnel.pem
===================================================================
--- stunnel-5.44.orig/tests/certs/stunnel.pem
+++ stunnel-5.44/tests/certs/stunnel.pem
@@ -1,52 +1,53 @@
 -----BEGIN PRIVATE KEY-----
-MIIEvwIBADANBgkqhkiG9w0BAQEFAASCBKkwggSlAgEAAoIBAQDOzXhuuDTB83n4
-5gy6buWIi4umz40Qdw11SuQQt3xV1MlZGFl+MuX+Py8/PmvvzzCdwYLG0oTGCrzK
-zdO08tbr0z9y50Q6i+YXP33myS75kMvoB/jVHGx7cVZq/xjwCE8gFJNPI52HUEOH
-Prtqg51a1shWy+208uYK96iROUaoTeIFhhJ8SScsiMWZIKgEqalWjdeSwBrSEEUa
-EM3ORd3huJ2FElDMeZ86ucAlAaOqIhw37M9OpunkOqE37GagnYxQdU8bxKLOuNGr
-ShT2eU8fDDqw9ypSfwCrordSz0oBV6sjUYAEAIOXOpWfTBDXlk0CO5hnSDjDaikp
-lTax3ze7AgMBAAECggEBALryujV1JpRSs2fTJ5x91dgbNlLE++Pvi+YFnqiSBr9c
-zexR+8z+3DV8Dw0gM9klNvDV15A/DTIu0L6RVRoWET48yPXppR88CvPnPLyeEG4h
-fIO0eTjGKjdpnNK662NKT6VTlFuNecGySGmBx1Ehy+Urlw4H6kqS7mzpt6QY4AwS
-Qr1CHx43tyc7XyAWjb+7d+VUhAhoJPKobkF4J83KxDFN1q+7/gLaX+2Twh78aM8A
-PBxEOG37FcJx2l81EK5UpxNXoJPo15uPzUD8mH+1p4z203eNYo4qB1ruo4wNJhLB
-cO6kA4z5M6xQkgB4UafQh5R2/CseNHvvGmhB61R6eOkCgYEA+Pa8UASeDcNrnF/l
-ObtSETEnJbijBabObbxRYlLdhwF6hp+ASdLt0agQGOTnhJUP7goQyJr6ww9ODoA8
-dJw5utmIGGv1vBae5SwxEamBgMRkn3tSZy6MW06LfhHjPc7Ky1DMbuzGlIoYJzXs
-W7ECAIGblgv2NFJHSRVJFB7aJccCgYEA1KWyXA2TGCLY4xY3QMjiprwbzQgcPRH/
-w6mmOzh44nrT3YhQrDC+55KjXPoml8NKc+smW6cR8Yv01fLFc6Ec0mBWZqpOQvwM
-P58JAFf/us/L5ZcdKuYwYxVYHW1s/t4SXZPD/A5TdspLrJvF6Ib8NrzFfu1ym7z8
-N8Kg2uqxzm0CgYEAy8TnDHc7BfjUswCqFT6ERR399JnSlGWav6ZK1jcMqdtD9bvG
-vKWvkNIFmtp/w7xddW83nXl7lPuJ38SFtsvHVG+HPLXgQzogg2JQJyydmk8kLIQ7
-RciLiJAZC+6IF6aRxSc0q/WP8zOz4SP5eHLAOLncJktUEC7nuaF6VsWJtzECgYAM
-Yo4t0FiV2km5iCy1qD2TKneQDH3gjLDRy4qz/kkEH9VBHNReAwTLZf3/x04CHsyy
-TarRQbzIzbb30wjvAB42nofJuPeP7TAlcHTMwVNSpRGiEJgRTJDa5H5aUGo9ud9l
-9do/TvJLg+K+beAr99ius3XpO5kmOu6RrNNDjNHITQKBgQDr0V+awa944XZLUCmD
-uxCiheqiUKJKe5uYX8/jBFQ4onQFHlzGRtd3wpTZ3JHPPLOGYkAVognXy0LqM9zG
-E1nozTRsSqfy2qfSgSGiSmxktoPWTen7YpA0+J+d+T6UcBfvWVbAFvBmk+2n1nXa
-040QCD05eHlIWVrTIMgGqfRrgQ==
+MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQDCbzJGwgNUkytc
+um794wjttcDPu/m3iTfmbN34HCsYUltPXo8LTIuv4tFYUHoi9LVpdusW/2eHJD0w
+rvQHZ8z2SG5ciTmmN7lPDe3XrIJBpPs03y3g0U1wnyHi/crJBPwxEbv3JZN9jOyF
+vvNsDlUGCShnWs4KWeZYo645qLaBeNYfvNIoOPe9vd89PrQ3WRTHJeAUjja9k4E/
+YX3zxqT9OwpfvF3kPigt+KXmQ6pisLcXS3lErA1HGZZOvkMdLo5DD98k0oo5cv95
+l0SZ/pk4m4GrzCWor7HgV/si5waE7x1TkPvod9jHpUPG7nl0ZzE2YfCkAGo6bwDg
+ePYLHRDnAgMBAAECggEAU0QPgeHgTz3fWgy1L6Ek17f4ZH4ZyRHIkLOas4BMrFPI
+qsrR84LKZ355LJr6UzH85rd4ohaqnWNVmR2zf+BiFC6cpKBXweknQMW0T6Ke/cHL
+mq7hFOBNi6d6eZ06VK//2HvBxWugKCpLuFM4J9RTcQxG80wd5KzvSpJ+ME8iKXt3
+131sM5dqxa7eCOGl7iZZGSJukGwv6uwvPRISmuM9BhCliiBakKmk7U6OAf3A9Nnr
+tEFsBMzSPSxGu34aZ5KQfNChhCaXqjvRqsuEloW69R3NzuM13fMUEiN0hdY3GD1j
+nBEZvFPNlfKf9UXkQQ0qquawCD5TtudRIbPE9qVBYQKBgQD50Ihs52ssGsXKYY81
+sAfLTgHv/5DKp66wnTsUDF0nEMmaruk8Iui9l3kLB7axdBh5jgO23AK72xfCtpQg
+U2RjsfPulhiWktvT4Hn0XnXd8uLkFRYTb87TtKRzT/PT922B+O/CvawYsvq0bKzt
+k3EE8nuFXAJJjY1kbpPybGp1aQKBgQDHP6HRcQEujopfU8MPsA0MQWBu88gFzocC
+bK/bdMIPom94PVAWkCrqIdv5XJLR1RVYBed9d7Q3vHiWZGcDRI3o+MEIgMm3E9B4
+uQKcmJ+vhC1g9j0wJdxhRR4ijAP9kl9nM/w4QqAF+Ii4ePpndSuzGLULt6cu6WIK
+HF1Rmo35zwKBgQDBTAAj9DTTHawp2q9LJXgCccvB/of0pybedeq+qopxreWxEOJb
+q89W1BvO0xsj1+cQNzjchwR+gxqxiUC4eo5VLd7Hn9BKwjvih/EVivm80TGKtl4s
+j/kDiuUsbJMIUo2jYhFzJ/w/6E1gyi5MbienYlD9caI7c5ISQhWsIQOG8QKBgHtJ
+vG9EZV7RhH2H7uL+JJS4v1roLZSqPpAZgJdin9HcyOy1w6CyhFtrqBmcVpzQJOza
+emsAbtsuG8+zQKqc+NJ3WbpRNn+6Gv0YPa14IxcPyqR8uU/ZnYvyoLrvuGhm8fGC
+EUcesrX/G1pKQWdS8T9Ywm4FrcUxVCC9fGDKKZ+xAoGBALOmpDLPdCj/s++Pz8BN
+ObExkR003YHhKnKAkhUSLc2RSHsyo7PhaM6+C86EeoGCtK5t8Kaz5b/ZVoLFXA9V
+maO6+9SyLDXd7eU6vKSDiiU5BbsDRyKGZhh4UBLjuuxChWCRl0PUoMU7PLUodzzO
+8XjsFk5YwvRohPVtpT9J9WRF
 -----END PRIVATE KEY-----
 -----BEGIN CERTIFICATE-----
-MIIEAzCCAuugAwIBAgIJAIMM7qk8vX8HMA0GCSqGSIb3DQEBBQUAMIGDMQswCQYD
-VQQGEwJQTDEZMBcGA1UECAwQTWF6b3ZpYSBQcm92aW5jZTEPMA0GA1UEBwwGV2Fy
-c2F3MRswGQYDVQQKDBJTdHVubmVsIERldmVsb3BlcnMxFzAVBgNVBAsMDlByb3Zp
-c2lvbmFsIENBMRIwEAYDVQQDDAlsb2NhbGhvc3QwHhcNMTcwNDI3MTc1MzM5WhcN
-MjEwNDI3MTc1MzM5WjCBgzELMAkGA1UEBhMCUEwxGTAXBgNVBAgMEE1hem92aWEg
-UHJvdmluY2UxDzANBgNVBAcMBldhcnNhdzEbMBkGA1UECgwSU3R1bm5lbCBEZXZl
-bG9wZXJzMRcwFQYDVQQLDA5Qcm92aXNpb25hbCBDQTESMBAGA1UEAwwJbG9jYWxo
-b3N0MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAzs14brg0wfN5+OYM
-um7liIuLps+NEHcNdUrkELd8VdTJWRhZfjLl/j8vPz5r788wncGCxtKExgq8ys3T
-tPLW69M/cudEOovmFz995sku+ZDL6Af41Rxse3FWav8Y8AhPIBSTTyOdh1BDhz67
-aoOdWtbIVsvttPLmCveokTlGqE3iBYYSfEknLIjFmSCoBKmpVo3XksAa0hBFGhDN
-zkXd4bidhRJQzHmfOrnAJQGjqiIcN+zPTqbp5DqhN+xmoJ2MUHVPG8SizrjRq0oU
-9nlPHww6sPcqUn8Aq6K3Us9KAVerI1GABACDlzqVn0wQ15ZNAjuYZ0g4w2opKZU2
-sd83uwIDAQABo3gwdjARBglghkgBhvhCAQEEBAMCBkAwDwYDVR0TBAgwBgEB/wIB
-ADALBgNVHQ8EBAMCAgQwEwYDVR0lBAwwCgYIKwYBBQUHAwEwLgYJYIZIAYb4QgEN
-BCEWH3N0dW5uZWwgc2VsZi1zaWduZWQgY2VydGlmaWNhdGUwDQYJKoZIhvcNAQEF
-BQADggEBAEVV6RJ4N+7Y4ImwrxalKnM+RX1c0tRXeX2NCLYeTypu1MNbyXJeWSrR
-N7r49JuxrJSnIFHpTcZzGxOFI8flVeDXDFdt6hpvWX/p+RIVPj2TARNh0VrTni7O
-imcTGlbakxiGk6whM9fh3I1Kxvz949DC6Y8prLuwnjBnQYsyHJC6WQsIKlT/+fnp
-hyX1lRUVAWa6UHPAFq39RsUQLOA5w95A6fDkfXevx/PfjHEpymK0C6/C+amu5dhz
-xNZQsGDEG749Ny+xI1azUG7pwOEZmXN+hZKMs8YPG6NpAf63xhNFBAYpjT4wlE1/
-96h/XIphwPJAiVbc7lxcHpTTlZfcQi8=
+MIIEQTCCAymgAwIBAgIUA2ndneAhC6QeGbBDFj81X0FgFQ8wDQYJKoZIhvcNAQEL
+BQAwgacxCzAJBgNVBAYTAlBMMRkwFwYDVQQIDBBNYXpvdmlhIFByb3ZpbmNlMQ8w
+DQYDVQQHDAZXYXJzYXcxGzAZBgNVBAoMElN0dW5uZWwgRGV2ZWxvcGVyczEXMBUG
+A1UECwwOUHJvdmlzaW9uYWwgQ0ExEjAQBgNVBAMMCWxvY2FsaG9zdDEiMCAGCSqG
+SIb3DQEJARYTc3R1bm5lbEBleGFtcGxlLmNvbTAeFw0yMTA0MDUwNjQxMTNaFw0y
+NTA0MDUwNjQxMTNaMIGnMQswCQYDVQQGEwJQTDEZMBcGA1UECAwQTWF6b3ZpYSBQ
+cm92aW5jZTEPMA0GA1UEBwwGV2Fyc2F3MRswGQYDVQQKDBJTdHVubmVsIERldmVs
+b3BlcnMxFzAVBgNVBAsMDlByb3Zpc2lvbmFsIENBMRIwEAYDVQQDDAlsb2NhbGhv
+c3QxIjAgBgkqhkiG9w0BCQEWE3N0dW5uZWxAZXhhbXBsZS5jb20wggEiMA0GCSqG
+SIb3DQEBAQUAA4IBDwAwggEKAoIBAQDCbzJGwgNUkytcum794wjttcDPu/m3iTfm
+bN34HCsYUltPXo8LTIuv4tFYUHoi9LVpdusW/2eHJD0wrvQHZ8z2SG5ciTmmN7lP
+De3XrIJBpPs03y3g0U1wnyHi/crJBPwxEbv3JZN9jOyFvvNsDlUGCShnWs4KWeZY
+o645qLaBeNYfvNIoOPe9vd89PrQ3WRTHJeAUjja9k4E/YX3zxqT9OwpfvF3kPigt
++KXmQ6pisLcXS3lErA1HGZZOvkMdLo5DD98k0oo5cv95l0SZ/pk4m4GrzCWor7Hg
+V/si5waE7x1TkPvod9jHpUPG7nl0ZzE2YfCkAGo6bwDgePYLHRDnAgMBAAGjYzBh
+MA8GA1UdEwEB/wQFMAMBAf8wHQYDVR0OBBYEFFCJXfvonhjiKnNbNlth5DVBn8B0
+MB8GA1UdIwQYMBaAFFCJXfvonhjiKnNbNlth5DVBn8B0MA4GA1UdDwEB/wQEAwIB
+hjANBgkqhkiG9w0BAQsFAAOCAQEASt1CgzOxoA+24u6hRV9wI/I3XSGhGRX8isMX
+JT224dHGkQiNOPNAu7Vn+xAWAdylAJflBMY/UA3yAs2srFaEx4M0+fGQpJa2V8dH
+EfFXSIFacfPDJ7je72Ivq6QGOXXfTFDB0ZW+fmhwGGXWSZFttNjpIFnxxeOC1GT4
+XPDCqziw3TRQGMyPv5GvIFvjaLYPPDSOBtHJFmWCZEuwudrO56GDysQetWtV4aAI
+jLSRu4TSiPhsiwEu8am4bKqSMhcz/OOPNsJbZVRZbEgk3nrqFbjJRDsToTSwtx7Y
+rQurPfHJRovqy38gHM/gTR0xKjb4yZcsieDrynva8iKIee1oDg==
 -----END CERTIFICATE-----
